Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 982722 - HDMI disconnect not detected
Summary: HDMI disconnect not detected
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-09 16:36 UTC by Mark Harfouche
Modified: 2015-02-17 16:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 16:01:25 UTC


Attachments (Terms of Use)

Description Mark Harfouche 2013-07-09 16:36:47 UTC
Description of problem:
When I connect an HDMI monitor to my laptop the dual monitor configuration lingers even after I disconnect the HDMI cable.

Version-Release number of selected component (if applicable):
Fedora 19 64 bit
gnome-shell
Intel core i5, 3rd gen -- no external graphics card.


How reproducible:
Everytime you disconnect the external HDMI

Steps to Reproduce:
1. Turn on Laptop
2. Login
3. Connect to HDMI monitor
4*. Open "Displays"
5*. Configure Dual Displays  single monitor
6*. Close "Displays" (very important -- you might actually need to close all of gnome-settings)
7. Use the dual monitors single monitor
8. Disconnect the HDMI cable from your laptop
9. The laptop still things that dual monitors exist
10. You can reset the configuration by opening "Displays" (use keyboard to do that) and it will automatically change your configuration back to single monitor.

4-6 are not necessary once you have configured dual monitors before.

Actual results:
Dual monitor configuration lingers and gnome-shell thinks there are 2 monitors present.

Expected results:
The gnome-shell should revert to using a single monitor automatically just as it does in step 10. 


Additional info:
Sorry, I don't exactly know who to report this to.

Comment 1 Fedora End Of Life 2015-01-09 18:48:19 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-02-17 16:01:25 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.